import path_setting
from in_common.base_request import BaseRequest


class account_request(BaseRequest):
    def __init__(self):
        self.loginvfc = self.api_load(path_setting.APYAML_CONFIG)

    def login_vfc(self,current_city_id,phone_num,vfc_code,vfc_type="",face_token=""):
        self.params["current_city_id"] = current_city_id
        self.params["phone_num"] = phone_num
        self.params["vfc_code"] = vfc_code
        self.params["vfc_type"] = vfc_type
        self.params["face_token"] = face_token
        return self.api_send(self.loginvfc["login_vfc"])

     # 我的-头像点击
    def account_homepage(self, user_id, device_id):

        self.params["user_id"] = user_id
        self.params["device_id"] = device_id

        return self.api_send(self.loginvfc["account_homepage"])




if __name__ == '__main__':
    # print(account_request().user_info())
    print(account_request.loginvfc(""))
    print(account_request().account_homepage("33910245", "androidid_16a95f3fa31a4c0b"))